/*******************************************************************************
* File Name: Read_P3.c  
* Version 1.60
*
* Description:
*  This file contains API to enable firmware to read the value of a status 
*  register.
*
* Note:
*
********************************************************************************
* Copyright 2008-2011, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#include "cytypes.h"
#include "Read_P3.h"

#if !defined(Read_P3_sts_reg__REMOVED) /* Check for removal by optimization */


/*******************************************************************************
* Function Name: Read_P3_Read
********************************************************************************
*
* Summary:
*  Read the value of the Read_P3_Status register
*
* Parameters:  
*  void
*
* Return: 
*  The value of the Read_P3_Status register.
*
* Reentrant:
*  Yes
* 
*******************************************************************************/
uint8 Read_P3_Read(void) 
{ 
    return Read_P3_Status;
}


#endif /* Check for removal by optimization */

