/*******************************************************************************
* File Name: byte_ready.h  
* Version 1.70
*
* Description:
*  This file containts Status Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_STATUS_REG_byte_ready_H) /* CY_STATUS_REG_byte_ready_H */
#define CY_STATUS_REG_byte_ready_H

#include "cytypes.h"
#include "CyLib.h"


/***************************************
*        Function Prototypes
***************************************/

uint8 byte_ready_Read(void) ;
void byte_ready_InterruptEnable(void) ;
void byte_ready_InterruptDisable(void) ;
void byte_ready_WriteMask(uint8) ;
uint8 byte_ready_ReadMask(void) ;


/***************************************
*           API Constants
***************************************/

#define byte_ready_STATUS_INTR_ENBL    0x10u


/***************************************
*         Parameter Constants
***************************************/

/* Status Register Inputs */
#define byte_ready_INPUTS              1


/***************************************
*             Registers
***************************************/

/* Status Register */
#define byte_ready_Status             (* (reg8 *) byte_ready_sts_sts_reg__STATUS_REG )
#define byte_ready_Status_PTR         (  (reg8 *) byte_ready_sts_sts_reg__STATUS_REG )
#define byte_ready_Status_Mask        (* (reg8 *) byte_ready_sts_sts_reg__MASK_REG )
#define byte_ready_Status_Aux_Ctrl    (* (reg8 *) byte_ready_sts_sts_reg__STATUS_AUX_CTL_REG )

#endif /* End CY_STATUS_REG_byte_ready_H */


/* [] END OF FILE */
